"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Exception = function (_Error) {
  _inherits(Exception, _Error);

  function Exception() {
    _classCallCheck(this, Exception);

    return _possibleConstructorReturn(this, (Exception.__proto__ || Object.getPrototypeOf(Exception)).apply(this, arguments));
  }

  return Exception;
}(Error);

var Conflict = function (_Exception) {
  _inherits(Conflict, _Exception);

  function Conflict() {
    _classCallCheck(this, Conflict);

    return _possibleConstructorReturn(this, (Conflict.__proto__ || Object.getPrototypeOf(Conflict)).apply(this, arguments));
  }

  return Conflict;
}(Exception);

var Expired = function (_Exception2) {
  _inherits(Expired, _Exception2);

  function Expired() {
    _classCallCheck(this, Expired);

    return _possibleConstructorReturn(this, (Expired.__proto__ || Object.getPrototypeOf(Expired)).apply(this, arguments));
  }

  return Expired;
}(Exception);

var InvalidArgument = function (_Exception3) {
  _inherits(InvalidArgument, _Exception3);

  function InvalidArgument() {
    _classCallCheck(this, InvalidArgument);

    return _possibleConstructorReturn(this, (InvalidArgument.__proto__ || Object.getPrototypeOf(InvalidArgument)).apply(this, arguments));
  }

  return InvalidArgument;
}(Exception);

var NotImplemented = function (_Exception4) {
  _inherits(NotImplemented, _Exception4);

  function NotImplemented() {
    _classCallCheck(this, NotImplemented);

    return _possibleConstructorReturn(this, (NotImplemented.__proto__ || Object.getPrototypeOf(NotImplemented)).apply(this, arguments));
  }

  return NotImplemented;
}(Exception);

var NotFound = function (_Exception5) {
  _inherits(NotFound, _Exception5);

  function NotFound() {
    _classCallCheck(this, NotFound);

    return _possibleConstructorReturn(this, (NotFound.__proto__ || Object.getPrototypeOf(NotFound)).apply(this, arguments));
  }

  return NotFound;
}(Exception);

var UnexpectedValue = function (_Exception6) {
  _inherits(UnexpectedValue, _Exception6);

  function UnexpectedValue() {
    _classCallCheck(this, UnexpectedValue);

    return _possibleConstructorReturn(this, (UnexpectedValue.__proto__ || Object.getPrototypeOf(UnexpectedValue)).apply(this, arguments));
  }

  return UnexpectedValue;
}(Exception);

exports.default = {
  Conflict: Conflict,
  Exception: Exception,
  Expired: Expired,
  NotImplemented: NotImplemented,
  NotFound: NotFound,
  InvalidArgument: InvalidArgument,
  UnexpectedValue: UnexpectedValue
};
module.exports = exports["default"];